ALTER TABLE TABLE `eps_product_price` ADD `type` char(30) NOT NULL;
ALTER TABLE TABLE `eps_product_price` drop inputType;

CREATE TABLE `eps_balance_log` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `account` char(30) NOT NULL,
  `tradeType` char(30) NOT NULL,
  `tradeID` mediumint(8) unsigned NOT NULL,
  `amount` decimal(12,2) NOT NULL DEFAULT '0.00',
  `createdDate` datetime NOT NULL,
  `lang` char(30) NOT NULL,
  `before` decimal(12,2) NOT NULL DEFAULT '0.00',
  `createdBy` char(30) NOT NULL,
  `status` char(30) NOT NULL,
  `after` decimal(12,2) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`),
  KEY `account` (`account`),
  KEY `tradeType` (`tradeType`,`tradeID`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `eps_user` ADD balance varchar(100) NOT NULL default 0;
ALTER TABLE `eps_product` add scoreLimit  mediumint(8) NOT NULL default 0;
ALTER TABLE `eps_product` add isGift tinyint(3) NOT NULL default 0;

ALTER TABLE `eps_faq` drop category;
ALTER TABLE `eps_faq` ADD `from` mediumint(8) NOT NULL;
ALTER TABLE `eps_faq` ADD `views` smallint(5) unsigned NOT NULL;

CREATE TABLE IF NOT EXISTS `eps_answer` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `question` mediumint(8) unsigned NOT NULL,
  `account` varchar(30) NOT NULL,
  `content` text NOT NULL,
  `addedDate` datetime NOT NULL,
  `editedDate` datetime NOT NULL,
  `lang` char(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `question` (`question`),
  KEY `account` (`account`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `eps_question` (
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `category` smallint(5) unsigned NOT NULL,
  `account` varchar(30) NOT NULL,
  `title` varchar(255) NOT NULL,
  `desc` text NOT NULL,
  `score` tinyint(3) unsigned NOT NULL,
  `comment` text NOT NULL,
  `status` varchar(30) NOT NULL,
  `addedDate` datetime NOT NULL,
  `closedDate` datetime NOT NULL,
  `views` smallint(5) unsigned NOT NULL,
  `answers` tinyint(3) unsigned NOT NULL,
  `bestAnswer` mediumint(8) unsigned NOT NULL,
  `lang` char(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `category` (`category`),
  KEY `account` (`account`),
  KEY `title` (`title`),
  KEY `score` (`score`),
  KEY `status` (`status`),
  KEY `answers` (`answers`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `eps_access`(
  `id` mediumint(8) unsigned NOT NULL AUTO_INCREMENT,
  `objectType` char(20) NOT NULL,
  `objectID` mediumint(8) NOT NULL,
  `resource` char(30) NOT NULL,
  `level` char(30) NOT NULL,
  `cost` char(30) NOT NULL DEFAULT 0,
  `lang`  char(30) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `lang` (`lang`),
  KEY `resource` (`objectType`,`objectID`, `resource`, `level`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

ALTER TABLE `eps_user` ADD `sect` char(20) NOT NULL AFTER `zipcode`;
ALTER TABLE `eps_article` Add `video` text NOT NULL AFTER `content`;
