<?php
/**
 * The admin view file of user module of chanzhiEPS.
 *
 * @copyright   Copyright 2009-2015 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     商业软件非免费软件
 * @author      Yangyang Shi <shiyangyangwork@yahoo.cn>
 * @package     User
 * @version     $Id$
 * @link        http://www.chanzhi.org
 */
?>
<?php
include '../../common/view/header.admin.html.php';
js::set('provider', $this->get->provider);
js::set('admin', $this->get->admin);
?>
<div class="panel">
  <div class="panel-heading clearfix">
    <strong><?php echo $lang->customer->admin?></strong>
    <div class="panel-actions">
      <form method='get' class='form-inline form-search'>
        <?php echo html::hidden('m','customer') . html::hidden('f','admin');?>
        <div class="input-group">
          <?php echo html::input('user', $this->get->user, "class='form-control search-query' placeholder='{$lang->user->inputUserName}'"); ?>
          <span class="input-group-btn">
            <?php echo html::submitButton($lang->user->searchUser, "btn"); ?>
          </span>
        </div>
      </form>
      <?php echo html::a(inlink('create'), "<i class='icon icon-plus'></i> " .  $lang->customer->create, "data-toggle='modal' class='btn btn-primary'");?>
    </div>
  </div>
    <table class='table table-hover table-striped tablesorter table-condensed' id='userList'>
      <thead>
        <?php $vars = "orderBy=%s&recTotal={$pager->recTotal}&recPerPage={$pager->recPerPage}";?>
        <tr class='text-center'>
          <th class='w-60px'><?php commonModel::printOrderLink('id', $orderBy, $vars, $lang->user->id);?></th>
          <th class='w-100px'><?php commonModel::printOrderLink('realname', $orderBy, $vars, $lang->user->realname);?></th>
          <th class='w-100px'><?php commonModel::printOrderLink('account', $orderBy, $vars, $lang->user->account);?></th>
          <th class='w-70px'><?php echo $lang->user->phone;?></th>
          <th class='w-70px'><?php echo $lang->user->mobile;?></th>
          <th class='w-140px'><?php echo $lang->user->email;?></th>
          <th class='text-left'><?php echo $lang->customer->latestOrder;?></th>
          <th class='w-120px'><?php echo $lang->actions;?></th>
        </tr>
      </thead>
      <tbody>
        <?php $forbidPriv = commonModel::hasPriv('user', 'forbid');?>
        <?php foreach($users as $user):?>
        <tr class='text-center'>
          <td> <?php echo $user->id;?> </td>
          <td><?php echo $user->realname;?></td>
          <td><?php echo $user->account;?></td>
          <td><?php echo $user->phone;?></td>
          <td><?php echo $user->mobile;?></td>
          <td><?php echo $user->email;?></td>
          <td class='text-left'>
            <?php if(!empty($user->orders)):?>
            <?php $order = current((array) $user->orders);?>
            <?php foreach($order->products as $product):?>
            <div class='text-left'>
              <span><?php echo html::a(helper::createLink('order', 'view', "id={$order->id}"), $product->productName, "class='product' data-toggle='modal'");?></span>
              <span><?php echo $lang->order->price . $lang->colon . $product->price . ' ' . $lang->order->count . $lang->colon . $product->count;?></span>
            </div>
            <?php endforeach;?>
            <?php endif;?>
          </td>
          <td class='operate text-center'>
            <?php commonModel::printLink('customer', 'edit', "account=$user->account", $lang->edit); ?>
            <?php commonModel::printLink('customer', 'service', "account=$user->account", $lang->customer->manageService, "data-toggle='modal'"); ?>
          </td>
        </tr>
        <?php endforeach;?>
      </tbody>
      <tfoot>
        <tr><td colspan='<?php echo commonModel::isAvailable('score') ? 14 : 12;?>'> <?php $pager->show();?> </td></tr>
      </tfoot>
    </table>
</div>
<?php include '../../common/view/footer.admin.html.php';?>
