<?php
public function printGiftActions($order, $btnLink)
{
    if(RUN_MODE == 'front' and $order->status == 'normal') 
    {
        /* Edit link. */
        $disabled = ($order->deliveryStatus == 'not_send') ? '' : "disabled='disabled'";
        $btnClass = $btnLink ? ' btn btn-link ' : '';
        echo $disabled ? '' : html::a(inlink('edit', "orderID={$order->id}"), $this->lang->order->edit, "data-toggle='modal' class='{$btnClass}'");
        
        /* Track link. */
        $disabled = ($order->deliveryStatus != 'not_send') ? '' : "disabled='disabled'";
        $btnClass = $btnLink ? ' btn btn-link ' : '';
        echo $disabled ? '' : html::a(inlink('track', "orderID={$order->id}"), $this->lang->order->track, "data-rel='" . helper::createLink('order', 'confirmDelivery', "orderID=$order->id") . "' data-toggle='modal' class='{$btnClass}'");
        
        /* Confirm link. */
        $disabled = ($order->deliveryStatus == 'send') ? '' : "disabled='disabled'";
        $btnClass = $btnLink ? ' btn primary ' : '';
        echo $disabled ? '' : html::a('javascript:;', $this->lang->order->confirmReceived, "data-rel='" . helper::createLink('order', 'confirmDelivery', "orderID=$order->id") . "' class='confirmDelivery {$btnClass}'");
    }
    
    if(RUN_MODE == 'admin')
    {
        $class = $btnLink ? 'btn' : '';
        /* View order link */
        echo html::a(inlink('view', "orderID=$order->id&btnLink=false"), $this->lang->order->view, "data-toggle='modal' class='$class'");
        
        if($order->status == 'normal')
        {
            /* Send the goods link */
            $disabled = ($order->deliveryStatus == 'not_send') ? '' : "disabled='disabled'"; 
            echo $disabled ? '' : html::a(helper::createLink('order', 'delivery', "orderID=$order->id"), $this->lang->order->delivery, "data-toggle='modal' class='$class'");
            
            /* Track the express link */ 
            $disabled = $order->deliveryStatus == 'send' ? "" : "disabled='disabled'";
            echo $disabled ? '' : html::a(helper::createLink('order', 'track', "orderID={$order->id}"), $this->lang->order->track, "class='$class' data-toggle='modal'");
            
            /* Finish link. */
            $disabled = ($order->payStatus == 'paid' and $order->deliveryStatus == 'confirmed' and $order->status != 'finished' and $order->status != 'canceled') ? '' : "disabled='disabled'";
            echo $disabled ? '' : html::a('javascript:;', $this->lang->order->finish, "data-rel='" . helper::createLink('order', 'finish', "orderID=$order->id") . "' class='finisher $class'");
        }
        
        /* Delete order link. */
        echo html::a(inlink('delete', "orderID=$order->id"), $this->lang->order->delete, "data-toggle='modal' class='$class deleter'"); 
    }
    $this->commonLink['savePayment'] = false;
}

/**
 * Print goods info of gift order.
 * 
 * @param  object    $order 
 * @access public
 * @return string
 */
public function printGiftGoods($order)
{
    foreach($order->products as $product)
    {
        $goods  = "<div class='text-left'>";
        $goods .= '<span>' . html::a(helper::createLink('product', 'view', "id={$product->productID}", "target='_blank'"), $product->productName) . '</span>';
        $goods .= $this->config->product->currencySymbol . $product->price . ' &times; ' . $product->count . '</div>';
    }
    return $goods;
}
