<?php
public function getUserSect($user)
{
    $data        = array();
    $sects       = $this->loadModel('score')->getSectList();
    if(!isset($sects->{$user->sect}))     
    {
        $user->sect        = 'no_sect';
        $data['sect']      = $this->lang->user->no_sect;
        $data['color']     = '';
        $data['levelName'] = '';
        $data['sectCode']  = 'no_sect';
        $data['level']     = '';
    }
    else
    { 
         $levels      = $this->score->getLevelsBySect($user->sect);
         $userLevel   = $this->computeUserLevel($user->rank, 'code');
         
         $data['sect']      = zget($sects, $user->sect, '');
         $data['color']     = $this->score->getSectColor($user->sect);
         $data['levelName'] = zget($levels, $userLevel);
         $data['sectCode']  = $user->sect;
         $data['level']     = array_search($userLevel, array_keys($levels)) + 2;
    }
    return $data;
}

public function switchLevel($user)
{
    $level = 0;
    $userConfig = $this->config->user;
    if(!isset($userConfig->level)) return $user;
    krsort($userConfig->level);
    foreach($userConfig->level as $levelIndex => $rank)
    {   
        if($user->rank > $rank)
        {   
            $level = $levelIndex;
            break;
        }   
    }   

    if($level == 0) $level = 1;
    $user->level = $level;
    return $user;
}

public function getBasicInfo($users)
{
    $users = $this->dao->select('account, realname, admin, `join`, rank, sect, score, last, visits')->from(TABLE_USER)->where('account')->in($users)->fetchAll('account');
    if(!$users) return array();
    
    foreach($users as $account => $user)
    {
        $user->realname  = empty($user->realname) ? $account : $user->realname;
        $user->shortLast = substr($user->last, 5, -3);
        $user->shortJoin = substr($user->join, 5, -3);

        if(commonModel::isAvailable('sect')) 
        {
            $data             = $this->getUserSect($user);
            $user->sectName   = $data['sect'];
            $user->sectColor  = $data['color'];
            $user->sectLevel  = $data['levelName'];
            $user->levelOrder = $data['level'];
            $user->sectCode   = $data['sectCode'];
        }
    }

    return $users;
}
